package com.sunxung.factoring.entity.refundsManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 退款管理历史表
 * </p>
 *
 * @author yafan
 * @since 2024-03-04
 */
@TableName("refund_management_his")
public class RefundManagementHis extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 退款管理表Id
     */
    @TableField("refund_management_id")
    private Long refundManagementId;

    /**
     * 业务编号
     */
    @TableField("business_number")
    private String businessNumber;

    /**
     * 对应SOP合同编号
     */
    @TableField("contract_no")
    private String contractNo;

    /**
     * 额度支用批次
     */
    @TableField("quota_disburse_batch")
    private Integer quotaDisburseBatch;

    /**
     * 贸易平台Id
     */
    @TableField("trading_platform_id")
    private Long tradingPlatformId;

    /**
     * 状态
     */
    @TableField("refund_status")
    private String refundStatus;

    public Long getRefundManagementId() {
        return refundManagementId;
    }

    public void setRefundManagementId(Long refundManagementId) {
        this.refundManagementId = refundManagementId;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }
    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }
    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }
    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }
    public String getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus;
    }

    @Override
    public String toString() {
        return "RefundManagementHis{" +
            ", refundManagementId=" + refundManagementId +
            ", businessNumber=" + businessNumber +
            ", contractNo=" + contractNo +
            ", quotaDisburseBatch=" + quotaDisburseBatch +
            ", tradingPlatformId=" + tradingPlatformId +
            ", refundStatus=" + refundStatus +
        "}";
    }
}
